# Class UiPackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.e4.ui.model.application.ui.impl.UiPackageImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

public class UiPackageImpl extends org.eclipse.emf.ecore.impl.EPackageImpl
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

See Also:
  - `MUiFactory`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`UiPackageImpl.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONTEXT`
The meta object id for the '`Context`' class.
`static final int`
`CONTEXT__CONTEXT`
The feature id for the 'Context' attribute.
`static final int`
`CONTEXT__PROPERTIES`
The feature id for the 'Properties' map.
`static final int`
`CONTEXT__VARIABLES`
The feature id for the 'Variables' attribute list.
`static final int`
`CONTEXT_FEATURE_COUNT`
The number of structural features of the 'Context' class.
`static final int`
`CONTEXT_OPERATION_COUNT`
The number of operations of the 'Context' class.
`static final int`
`CORE_EXPRESSION`
The meta object id for the '`Core Expression`' class.
`static final int`
`CORE_EXPRESSION__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`CORE_EXPRESSION__CORE_EXPRESSION`
The feature id for the 'Core Expression' attribute.
`static final int`
`CORE_EXPRESSION__CORE_EXPRESSION_ID`
The feature id for the 'Core Expression Id' attribute.
`static final int`
`CORE_EXPRESSION__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`CORE_EXPRESSION__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`CORE_EXPRESSION__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`CORE_EXPRESSION__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`CORE_EXPRESSION_FEATURE_COUNT`
The number of structural features of the 'Core Expression' class.
`static final int`
`CORE_EXPRESSION_OPERATION_COUNT`
The number of operations of the 'Core Expression' class.
`static final int`
`DIRTYABLE`
The meta object id for the '`Dirtyable`' class.
`static final int`
`DIRTYABLE__DIRTY`
The feature id for the 'Dirty' attribute.
`static final int`
`DIRTYABLE_FEATURE_COUNT`
The number of structural features of the 'Dirtyable' class.
`static final int`
`DIRTYABLE_OPERATION_COUNT`
The number of operations of the 'Dirtyable' class.
`static final UiPackageImpl`
`eINSTANCE`
The singleton instance of the package.
`static final int`
`ELEMENT_CONTAINER`
The meta object id for the '`Element Container`' class.
`static final int`
`ELEMENT_CONTAINER___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`ELEMENT_CONTAINER__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`ELEMENT_CONTAINER__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`ELEMENT_CONTAINER__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`ELEMENT_CONTAINER__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`ELEMENT_CONTAINER__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`ELEMENT_CONTAINER__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`ELEMENT_CONTAINER__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`ELEMENT_CONTAINER__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`ELEMENT_CONTAINER__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`ELEMENT_CONTAINER__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`ELEMENT_CONTAINER__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`ELEMENT_CONTAINER__SELECTED_ELEMENT`
The feature id for the 'Selected Element' reference.
`static final int`
`ELEMENT_CONTAINER__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`ELEMENT_CONTAINER__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`ELEMENT_CONTAINER__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`ELEMENT_CONTAINER__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`ELEMENT_CONTAINER__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`ELEMENT_CONTAINER__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`ELEMENT_CONTAINER_FEATURE_COUNT`
The number of structural features of the 'Element Container' class.
`static final int`
`ELEMENT_CONTAINER_OPERATION_COUNT`
The number of operations of the 'Element Container' class.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`EXPRESSION`
The meta object id for the '`Expression`' class.
`static final int`
`EXPRESSION__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`EXPRESSION__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`EXPRESSION__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`EXPRESSION__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`EXPRESSION__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`EXPRESSION_FEATURE_COUNT`
The number of structural features of the 'Expression' class.
`static final int`
`EXPRESSION_OPERATION_COUNT`
The number of operations of the 'Expression' class.
`static final int`
`GENERIC_STACK`
The meta object id for the '`Generic Stack`' class.
`static final int`
`GENERIC_STACK___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`GENERIC_STACK__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`GENERIC_STACK__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`GENERIC_STACK__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`GENERIC_STACK__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`GENERIC_STACK__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`GENERIC_STACK__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`GENERIC_STACK__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`GENERIC_STACK__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`GENERIC_STACK__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`GENERIC_STACK__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`GENERIC_STACK__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`GENERIC_STACK__SELECTED_ELEMENT`
The feature id for the 'Selected Element' reference.
`static final int`
`GENERIC_STACK__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`GENERIC_STACK__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`GENERIC_STACK__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`GENERIC_STACK__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`GENERIC_STACK__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`GENERIC_STACK__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`GENERIC_STACK_FEATURE_COUNT`
The number of structural features of the 'Generic Stack' class.
`static final int`
`GENERIC_STACK_OPERATION_COUNT`
The number of operations of the 'Generic Stack' class.
`static final int`
`GENERIC_TILE`
The meta object id for the '`Generic Tile`' class.
`static final int`
`GENERIC_TILE___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`GENERIC_TILE__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`GENERIC_TILE__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`GENERIC_TILE__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`GENERIC_TILE__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`GENERIC_TILE__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`GENERIC_TILE__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`GENERIC_TILE__HORIZONTAL`
The feature id for the 'Horizontal' attribute.
`static final int`
`GENERIC_TILE__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`GENERIC_TILE__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`GENERIC_TILE__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`GENERIC_TILE__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`GENERIC_TILE__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`GENERIC_TILE__SELECTED_ELEMENT`
The feature id for the 'Selected Element' reference.
`static final int`
`GENERIC_TILE__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`GENERIC_TILE__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`GENERIC_TILE__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`GENERIC_TILE__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`GENERIC_TILE__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`GENERIC_TILE__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`GENERIC_TILE_FEATURE_COUNT`
The number of structural features of the 'Generic Tile' class.
`static final int`
`GENERIC_TILE_OPERATION_COUNT`
The number of operations of the 'Generic Tile' class.
`static final int`
`GENERIC_TRIM_CONTAINER`
The meta object id for the '`Generic Trim Container`' class.
`static final int`
`GENERIC_TRIM_CONTAINER___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`GENERIC_TRIM_CONTAINER__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`GENERIC_TRIM_CONTAINER__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`GENERIC_TRIM_CONTAINER__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`GENERIC_TRIM_CONTAINER__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`GENERIC_TRIM_CONTAINER__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`GENERIC_TRIM_CONTAINER__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`GENERIC_TRIM_CONTAINER__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`GENERIC_TRIM_CONTAINER__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`GENERIC_TRIM_CONTAINER__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`GENERIC_TRIM_CONTAINER__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`GENERIC_TRIM_CONTAINER__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`GENERIC_TRIM_CONTAINER__SELECTED_ELEMENT`
The feature id for the 'Selected Element' reference.
`static final int`
`GENERIC_TRIM_CONTAINER__SIDE`
The feature id for the 'Side' attribute.
`static final int`
`GENERIC_TRIM_CONTAINER__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`GENERIC_TRIM_CONTAINER__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`GENERIC_TRIM_CONTAINER__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`GENERIC_TRIM_CONTAINER__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`GENERIC_TRIM_CONTAINER__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`GENERIC_TRIM_CONTAINER__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`GENERIC_TRIM_CONTAINER_FEATURE_COUNT`
The number of structural features of the 'Generic Trim Container' class.
`static final int`
`GENERIC_TRIM_CONTAINER_OPERATION_COUNT`
The number of operations of the 'Generic Trim Container' class.
`static final int`
`IMPERATIVE_EXPRESSION`
The meta object id for the '`Imperative Expression`' class.
`static final int`
`IMPERATIVE_EXPRESSION__CONTRIBUTION_URI`
The feature id for the 'Contribution URI' attribute.
`static final int`
`IMPERATIVE_EXPRESSION__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`IMPERATIVE_EXPRESSION__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`IMPERATIVE_EXPRESSION__OBJECT`
The feature id for the 'Object' attribute.
`static final int`
`IMPERATIVE_EXPRESSION__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`IMPERATIVE_EXPRESSION__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`IMPERATIVE_EXPRESSION__TRACKING`
The feature id for the 'Tracking' attribute.
`static final int`
`IMPERATIVE_EXPRESSION__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`IMPERATIVE_EXPRESSION_FEATURE_COUNT`
The number of structural features of the 'Imperative Expression' class.
`static final int`
`IMPERATIVE_EXPRESSION_OPERATION_COUNT`
The number of operations of the 'Imperative Expression' class.
`static final int`
`LOCALIZABLE`
The meta object id for the '`Localizable`' class.
`static final int`
`LOCALIZABLE___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`LOCALIZABLE_FEATURE_COUNT`
The number of structural features of the 'Localizable' class.
`static final int`
`LOCALIZABLE_OPERATION_COUNT`
The number of operations of the 'Localizable' class.
`static final int`
`SIDE_VALUE`
The meta object id for the '`Side Value`' enum.
`static final int`
`SNIPPET_CONTAINER`
The meta object id for the '`Snippet Container`' class.
`static final int`
`SNIPPET_CONTAINER__SNIPPETS`
The feature id for the 'Snippets' containment reference list.
`static final int`
`SNIPPET_CONTAINER_FEATURE_COUNT`
The number of structural features of the 'Snippet Container' class.
`static final int`
`SNIPPET_CONTAINER_OPERATION_COUNT`
The number of operations of the 'Snippet Container' class.
`static final int`
`UI_ELEMENT`
The meta object id for the '`UI Element`' class.
`static final int`
`UI_ELEMENT___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`UI_ELEMENT__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`UI_ELEMENT__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`UI_ELEMENT__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`UI_ELEMENT__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`UI_ELEMENT__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`UI_ELEMENT__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`UI_ELEMENT__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`UI_ELEMENT__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`UI_ELEMENT__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`UI_ELEMENT__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`UI_ELEMENT__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`UI_ELEMENT__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`UI_ELEMENT__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`UI_ELEMENT__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`UI_ELEMENT__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`UI_ELEMENT__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`UI_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'UI Element' class.
`static final int`
`UI_ELEMENT_OPERATION_COUNT`
The number of operations of the 'UI Element' class.
`static final int`
`UI_LABEL`
The meta object id for the '`UI Label`' class.
`static final int`
`UI_LABEL___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`UI_LABEL__ICON_URI`
The feature id for the 'Icon URI' attribute.
`static final int`
`UI_LABEL__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`UI_LABEL__LOCALIZED_LABEL`
The feature id for the 'Localized Label' attribute.
`static final int`
`UI_LABEL__LOCALIZED_TOOLTIP`
The feature id for the 'Localized Tooltip' attribute.
`static final int`
`UI_LABEL__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`UI_LABEL_FEATURE_COUNT`
The number of structural features of the 'UI Label' class.
`static final int`
`UI_LABEL_OPERATION_COUNT`
The number of operations of the 'UI Label' class.

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass`
`getContext()`
Returns the meta object for class '`Context`'.
`org.eclipse.emf.ecore.EAttribute`
`getContext_Context()`
Returns the meta object for the attribute '`Context`'.
`org.eclipse.emf.ecore.EReference`
`getContext_Properties()`
Returns the meta object for the map '`Properties`'.
`org.eclipse.emf.ecore.EAttribute`
`getContext_Variables()`
Returns the meta object for the attribute list '`Variables`'.
`org.eclipse.emf.ecore.EClass`
`getCoreExpression()`
Returns the meta object for class '`Core Expression`'.
`org.eclipse.emf.ecore.EAttribute`
`getCoreExpression_CoreExpression()`
Returns the meta object for the attribute '`Core Expression`'.
`org.eclipse.emf.ecore.EAttribute`
`getCoreExpression_CoreExpressionId()`
Returns the meta object for the attribute '`Core Expression Id`'.
`org.eclipse.emf.ecore.EClass`
`getDirtyable()`
Returns the meta object for class '`Dirtyable`'.
`org.eclipse.emf.ecore.EAttribute`
`getDirtyable_Dirty()`
Returns the meta object for the attribute '`Dirty`'.
`org.eclipse.emf.ecore.EClass`
`getElementContainer()`
Returns the meta object for class '`Element Container`'.
`org.eclipse.emf.ecore.EReference`
`getElementContainer_Children()`
Returns the meta object for the containment reference list '`Children`'.
`org.eclipse.emf.ecore.EReference`
`getElementContainer_SelectedElement()`
Returns the meta object for the reference '`Selected Element`'.
`org.eclipse.emf.ecore.EClass`
`getExpression()`
Returns the meta object for class '`Expression`'.
`org.eclipse.emf.ecore.EClass`
`getGenericStack()`
Returns the meta object for class '`Generic Stack`'.
`org.eclipse.emf.ecore.EClass`
`getGenericTile()`
Returns the meta object for class '`Generic Tile`'.
`org.eclipse.emf.ecore.EAttribute`
`getGenericTile_Horizontal()`
Returns the meta object for the attribute '`Horizontal`'.
`org.eclipse.emf.ecore.EClass`
`getGenericTrimContainer()`
Returns the meta object for class '`Generic Trim Container`'.
`org.eclipse.emf.ecore.EAttribute`
`getGenericTrimContainer_Side()`
Returns the meta object for the attribute '`Side`'.
`org.eclipse.emf.ecore.EClass`
`getImperativeExpression()`
Returns the meta object for class '`Imperative Expression`'.
`org.eclipse.emf.ecore.EAttribute`
`getImperativeExpression_Tracking()`
Returns the meta object for the attribute '`Tracking`'.
`org.eclipse.emf.ecore.EClass`
`getLocalizable()`
Returns the meta object for class '`Localizable`'.
`org.eclipse.emf.ecore.EOperation`
`getLocalizable__UpdateLocalization()`
Returns the meta object for the '`Update Localization`' operation.
`org.eclipse.emf.ecore.EEnum`
`getSideValue()`
Returns the meta object for enum '`Side Value`'.
`org.eclipse.emf.ecore.EClass`
`getSnippetContainer()`
Returns the meta object for class '`Snippet Container`'.
`org.eclipse.emf.ecore.EReference`
`getSnippetContainer_Snippets()`
Returns the meta object for the containment reference list '`Snippets`'.
`org.eclipse.emf.ecore.EClass`
`getUIElement()`
Returns the meta object for class '`UI Element`'.
`org.eclipse.emf.ecore.EOperation`
`getUIElement__UpdateLocalization()`
Returns the meta object for the '`Update Localization`' operation.
`org.eclipse.emf.ecore.EAttribute`
`getUIElement_AccessibilityPhrase()`
Returns the meta object for the attribute '`Accessibility Phrase`'.
`org.eclipse.emf.ecore.EAttribute`
`getUIElement_ContainerData()`
Returns the meta object for the attribute '`Container Data`'.
`org.eclipse.emf.ecore.EReference`
`getUIElement_CurSharedRef()`
Returns the meta object for the reference '`Cur Shared Ref`'.
`org.eclipse.emf.ecore.EAttribute`
`getUIElement_LocalizedAccessibilityPhrase()`
Returns the meta object for the attribute '`Localized Accessibility Phrase`'.
`org.eclipse.emf.ecore.EAttribute`
`getUIElement_OnTop()`
Returns the meta object for the attribute '`On Top`'.
`org.eclipse.emf.ecore.EReference`
`getUIElement_Parent()`
Returns the meta object for the container reference '`Parent`'.
`org.eclipse.emf.ecore.EAttribute`
`getUIElement_Renderer()`
Returns the meta object for the attribute '`Renderer`'.
`org.eclipse.emf.ecore.EAttribute`
`getUIElement_ToBeRendered()`
Returns the meta object for the attribute '`To Be Rendered`'.
`org.eclipse.emf.ecore.EAttribute`
`getUIElement_Visible()`
Returns the meta object for the attribute '`Visible`'.
`org.eclipse.emf.ecore.EReference`
`getUIElement_VisibleWhen()`
Returns the meta object for the containment reference '`Visible When`'.
`org.eclipse.emf.ecore.EAttribute`
`getUIElement_Widget()`
Returns the meta object for the attribute '`Widget`'.
`MUiFactory`
`getUiFactory()`
Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass`
`getUILabel()`
Returns the meta object for class '`UI Label`'.
`org.eclipse.emf.ecore.EAttribute`
`getUILabel_IconURI()`
Returns the meta object for the attribute '`Icon URI`'.
`org.eclipse.emf.ecore.EAttribute`
`getUILabel_Label()`
Returns the meta object for the attribute '`Label`'.
`org.eclipse.emf.ecore.EAttribute`
`getUILabel_LocalizedLabel()`
Returns the meta object for the attribute '`Localized Label`'.
`org.eclipse.emf.ecore.EAttribute`
`getUILabel_LocalizedTooltip()`
Returns the meta object for the attribute '`Localized Tooltip`'.
`org.eclipse.emf.ecore.EAttribute`
`getUILabel_Tooltip()`
Returns the meta object for the attribute '`Tooltip`'.
`static UiPackageImpl`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

public static final String eNAME
The package name.

See Also:
  - Constant Field Values

### eNS_URI

public static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values

### eNS_PREFIX

public static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values

### eINSTANCE

public static final UiPackageImpl eINSTANCE
The singleton instance of the package.

### CONTEXT

public static final int CONTEXT
The meta object id for the '`Context`' class.

Since:
  1.0
See Also:
  - `MContext`
  - `getContext()`
  - Constant Field Values

### CONTEXT__CONTEXT

public static final int CONTEXT__CONTEXT
The feature id for the 'Context' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### CONTEXT__VARIABLES

public static final int CONTEXT__VARIABLES
The feature id for the 'Variables' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### CONTEXT__PROPERTIES

public static final int CONTEXT__PROPERTIES
The feature id for the 'Properties' map.

Since:
  1.0
See Also:
  - Constant Field Values

### CONTEXT_FEATURE_COUNT

public static final int CONTEXT_FEATURE_COUNT
The number of structural features of the 'Context' class.

Since:
  1.0
See Also:
  - Constant Field Values

### CONTEXT_OPERATION_COUNT

public static final int CONTEXT_OPERATION_COUNT
The number of operations of the 'Context' class.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRTYABLE

public static final int DIRTYABLE
The meta object id for the '`Dirtyable`' class.

Since:
  1.0
See Also:
  - `MDirtyable`
  - `getDirtyable()`
  - Constant Field Values

### DIRTYABLE__DIRTY

public static final int DIRTYABLE__DIRTY
The feature id for the 'Dirty' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRTYABLE_FEATURE_COUNT

public static final int DIRTYABLE_FEATURE_COUNT
The number of structural features of the 'Dirtyable' class.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRTYABLE_OPERATION_COUNT

public static final int DIRTYABLE_OPERATION_COUNT
The number of operations of the 'Dirtyable' class.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT

public static final int UI_ELEMENT
The meta object id for the '`UI Element`' class.

Since:
  1.0
See Also:
  - `UIElementImpl`
  - `getUIElement()`
  - Constant Field Values

### UI_ELEMENT__ELEMENT_ID

public static final int UI_ELEMENT__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT__PERSISTED_STATE

public static final int UI_ELEMENT__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT__TAGS

public static final int UI_ELEMENT__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT__CONTRIBUTOR_URI

public static final int UI_ELEMENT__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT__TRANSIENT_DATA

public static final int UI_ELEMENT__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT__WIDGET

public static final int UI_ELEMENT__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT__RENDERER

public static final int UI_ELEMENT__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT__TO_BE_RENDERED

public static final int UI_ELEMENT__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT__ON_TOP

public static final int UI_ELEMENT__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT__VISIBLE

public static final int UI_ELEMENT__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT__PARENT

public static final int UI_ELEMENT__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT__CONTAINER_DATA

public static final int UI_ELEMENT__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT__CUR_SHARED_REF

public static final int UI_ELEMENT__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT__VISIBLE_WHEN

public static final int UI_ELEMENT__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT__ACCESSIBILITY_PHRASE

public static final int UI_ELEMENT__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int UI_ELEMENT__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT_FEATURE_COUNT

public static final int UI_ELEMENT_FEATURE_COUNT
The number of structural features of the 'UI Element' class.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_ELEMENT___UPDATE_LOCALIZATION

public static final int UI_ELEMENT___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### UI_ELEMENT_OPERATION_COUNT

public static final int UI_ELEMENT_OPERATION_COUNT
The number of operations of the 'UI Element' class.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER

public static final int ELEMENT_CONTAINER
The meta object id for the '`Element Container`' class.

Since:
  1.0
See Also:
  - `ElementContainerImpl`
  - `getElementContainer()`
  - Constant Field Values

### ELEMENT_CONTAINER__ELEMENT_ID

public static final int ELEMENT_CONTAINER__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__PERSISTED_STATE

public static final int ELEMENT_CONTAINER__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__TAGS

public static final int ELEMENT_CONTAINER__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__CONTRIBUTOR_URI

public static final int ELEMENT_CONTAINER__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__TRANSIENT_DATA

public static final int ELEMENT_CONTAINER__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__WIDGET

public static final int ELEMENT_CONTAINER__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__RENDERER

public static final int ELEMENT_CONTAINER__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__TO_BE_RENDERED

public static final int ELEMENT_CONTAINER__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__ON_TOP

public static final int ELEMENT_CONTAINER__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__VISIBLE

public static final int ELEMENT_CONTAINER__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__PARENT

public static final int ELEMENT_CONTAINER__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__CONTAINER_DATA

public static final int ELEMENT_CONTAINER__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__CUR_SHARED_REF

public static final int ELEMENT_CONTAINER__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__VISIBLE_WHEN

public static final int ELEMENT_CONTAINER__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__ACCESSIBILITY_PHRASE

public static final int ELEMENT_CONTAINER__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int ELEMENT_CONTAINER__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__CHILDREN

public static final int ELEMENT_CONTAINER__CHILDREN
The feature id for the 'Children' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER__SELECTED_ELEMENT

public static final int ELEMENT_CONTAINER__SELECTED_ELEMENT
The feature id for the 'Selected Element' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER_FEATURE_COUNT

public static final int ELEMENT_CONTAINER_FEATURE_COUNT
The number of structural features of the 'Element Container' class.

Since:
  1.0
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER___UPDATE_LOCALIZATION

public static final int ELEMENT_CONTAINER___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### ELEMENT_CONTAINER_OPERATION_COUNT

public static final int ELEMENT_CONTAINER_OPERATION_COUNT
The number of operations of the 'Element Container' class.

Since:
  1.0
See Also:
  - Constant Field Values

### LOCALIZABLE

public static final int LOCALIZABLE
The meta object id for the '`Localizable`' class.

Since:
  1.1
See Also:
  - `MLocalizable`
  - `getLocalizable()`
  - Constant Field Values

### LOCALIZABLE_FEATURE_COUNT

public static final int LOCALIZABLE_FEATURE_COUNT
The number of structural features of the 'Localizable' class.

Since:
  1.1
See Also:
  - Constant Field Values

### LOCALIZABLE___UPDATE_LOCALIZATION

public static final int LOCALIZABLE___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### LOCALIZABLE_OPERATION_COUNT

public static final int LOCALIZABLE_OPERATION_COUNT
The number of operations of the 'Localizable' class.

Since:
  1.1
See Also:
  - Constant Field Values

### UI_LABEL

public static final int UI_LABEL
The meta object id for the '`UI Label`' class.

Since:
  1.0
See Also:
  - `MUILabel`
  - `getUILabel()`
  - Constant Field Values

### UI_LABEL__LABEL

public static final int UI_LABEL__LABEL
The feature id for the 'Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_LABEL__ICON_URI

public static final int UI_LABEL__ICON_URI
The feature id for the 'Icon URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_LABEL__TOOLTIP

public static final int UI_LABEL__TOOLTIP
The feature id for the 'Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_LABEL__LOCALIZED_LABEL

public static final int UI_LABEL__LOCALIZED_LABEL
The feature id for the 'Localized Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_LABEL__LOCALIZED_TOOLTIP

public static final int UI_LABEL__LOCALIZED_TOOLTIP
The feature id for the 'Localized Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_LABEL_FEATURE_COUNT

public static final int UI_LABEL_FEATURE_COUNT
The number of structural features of the 'UI Label' class.

Since:
  1.0
See Also:
  - Constant Field Values

### UI_LABEL___UPDATE_LOCALIZATION

public static final int UI_LABEL___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### UI_LABEL_OPERATION_COUNT

public static final int UI_LABEL_OPERATION_COUNT
The number of operations of the 'UI Label' class.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK

public static final int GENERIC_STACK
The meta object id for the '`Generic Stack`' class.

Since:
  1.0
See Also:
  - `GenericStackImpl`
  - `getGenericStack()`
  - Constant Field Values

### GENERIC_STACK__ELEMENT_ID

public static final int GENERIC_STACK__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__PERSISTED_STATE

public static final int GENERIC_STACK__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__TAGS

public static final int GENERIC_STACK__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__CONTRIBUTOR_URI

public static final int GENERIC_STACK__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__TRANSIENT_DATA

public static final int GENERIC_STACK__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__WIDGET

public static final int GENERIC_STACK__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__RENDERER

public static final int GENERIC_STACK__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__TO_BE_RENDERED

public static final int GENERIC_STACK__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__ON_TOP

public static final int GENERIC_STACK__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__VISIBLE

public static final int GENERIC_STACK__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__PARENT

public static final int GENERIC_STACK__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__CONTAINER_DATA

public static final int GENERIC_STACK__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__CUR_SHARED_REF

public static final int GENERIC_STACK__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__VISIBLE_WHEN

public static final int GENERIC_STACK__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__ACCESSIBILITY_PHRASE

public static final int GENERIC_STACK__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int GENERIC_STACK__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__CHILDREN

public static final int GENERIC_STACK__CHILDREN
The feature id for the 'Children' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK__SELECTED_ELEMENT

public static final int GENERIC_STACK__SELECTED_ELEMENT
The feature id for the 'Selected Element' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK_FEATURE_COUNT

public static final int GENERIC_STACK_FEATURE_COUNT
The number of structural features of the 'Generic Stack' class.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_STACK___UPDATE_LOCALIZATION

public static final int GENERIC_STACK___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### GENERIC_STACK_OPERATION_COUNT

public static final int GENERIC_STACK_OPERATION_COUNT
The number of operations of the 'Generic Stack' class.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE

public static final int GENERIC_TILE
The meta object id for the '`Generic Tile`' class.

Since:
  1.0
See Also:
  - `GenericTileImpl`
  - `getGenericTile()`
  - Constant Field Values

### GENERIC_TILE__ELEMENT_ID

public static final int GENERIC_TILE__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__PERSISTED_STATE

public static final int GENERIC_TILE__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__TAGS

public static final int GENERIC_TILE__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__CONTRIBUTOR_URI

public static final int GENERIC_TILE__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__TRANSIENT_DATA

public static final int GENERIC_TILE__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__WIDGET

public static final int GENERIC_TILE__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__RENDERER

public static final int GENERIC_TILE__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__TO_BE_RENDERED

public static final int GENERIC_TILE__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__ON_TOP

public static final int GENERIC_TILE__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__VISIBLE

public static final int GENERIC_TILE__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__PARENT

public static final int GENERIC_TILE__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__CONTAINER_DATA

public static final int GENERIC_TILE__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__CUR_SHARED_REF

public static final int GENERIC_TILE__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__VISIBLE_WHEN

public static final int GENERIC_TILE__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__ACCESSIBILITY_PHRASE

public static final int GENERIC_TILE__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int GENERIC_TILE__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__CHILDREN

public static final int GENERIC_TILE__CHILDREN
The feature id for the 'Children' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__SELECTED_ELEMENT

public static final int GENERIC_TILE__SELECTED_ELEMENT
The feature id for the 'Selected Element' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE__HORIZONTAL

public static final int GENERIC_TILE__HORIZONTAL
The feature id for the 'Horizontal' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE_FEATURE_COUNT

public static final int GENERIC_TILE_FEATURE_COUNT
The number of structural features of the 'Generic Tile' class.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TILE___UPDATE_LOCALIZATION

public static final int GENERIC_TILE___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### GENERIC_TILE_OPERATION_COUNT

public static final int GENERIC_TILE_OPERATION_COUNT
The number of operations of the 'Generic Tile' class.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER

public static final int GENERIC_TRIM_CONTAINER
The meta object id for the '`Generic Trim Container`' class.

Since:
  1.0
See Also:
  - `GenericTrimContainerImpl`
  - `getGenericTrimContainer()`
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__ELEMENT_ID

public static final int GENERIC_TRIM_CONTAINER__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__PERSISTED_STATE

public static final int GENERIC_TRIM_CONTAINER__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__TAGS

public static final int GENERIC_TRIM_CONTAINER__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__CONTRIBUTOR_URI

public static final int GENERIC_TRIM_CONTAINER__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__TRANSIENT_DATA

public static final int GENERIC_TRIM_CONTAINER__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__WIDGET

public static final int GENERIC_TRIM_CONTAINER__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__RENDERER

public static final int GENERIC_TRIM_CONTAINER__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__TO_BE_RENDERED

public static final int GENERIC_TRIM_CONTAINER__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__ON_TOP

public static final int GENERIC_TRIM_CONTAINER__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__VISIBLE

public static final int GENERIC_TRIM_CONTAINER__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__PARENT

public static final int GENERIC_TRIM_CONTAINER__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__CONTAINER_DATA

public static final int GENERIC_TRIM_CONTAINER__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__CUR_SHARED_REF

public static final int GENERIC_TRIM_CONTAINER__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__VISIBLE_WHEN

public static final int GENERIC_TRIM_CONTAINER__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__ACCESSIBILITY_PHRASE

public static final int GENERIC_TRIM_CONTAINER__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int GENERIC_TRIM_CONTAINER__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__CHILDREN

public static final int GENERIC_TRIM_CONTAINER__CHILDREN
The feature id for the 'Children' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__SELECTED_ELEMENT

public static final int GENERIC_TRIM_CONTAINER__SELECTED_ELEMENT
The feature id for the 'Selected Element' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER__SIDE

public static final int GENERIC_TRIM_CONTAINER__SIDE
The feature id for the 'Side' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER_FEATURE_COUNT

public static final int GENERIC_TRIM_CONTAINER_FEATURE_COUNT
The number of structural features of the 'Generic Trim Container' class.

Since:
  1.0
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER___UPDATE_LOCALIZATION

public static final int GENERIC_TRIM_CONTAINER___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### GENERIC_TRIM_CONTAINER_OPERATION_COUNT

public static final int GENERIC_TRIM_CONTAINER_OPERATION_COUNT
The number of operations of the 'Generic Trim Container' class.

Since:
  1.0
See Also:
  - Constant Field Values

### EXPRESSION

public static final int EXPRESSION
The meta object id for the '`Expression`' class.

Since:
  1.0
See Also:
  - `ExpressionImpl`
  - `getExpression()`
  - Constant Field Values

### EXPRESSION__ELEMENT_ID

public static final int EXPRESSION__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### EXPRESSION__PERSISTED_STATE

public static final int EXPRESSION__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### EXPRESSION__TAGS

public static final int EXPRESSION__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### EXPRESSION__CONTRIBUTOR_URI

public static final int EXPRESSION__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### EXPRESSION__TRANSIENT_DATA

public static final int EXPRESSION__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### EXPRESSION_FEATURE_COUNT

public static final int EXPRESSION_FEATURE_COUNT
The number of structural features of the 'Expression' class.

Since:
  1.0
See Also:
  - Constant Field Values

### EXPRESSION_OPERATION_COUNT

public static final int EXPRESSION_OPERATION_COUNT
The number of operations of the 'Expression' class.

Since:
  1.0
See Also:
  - Constant Field Values

### CORE_EXPRESSION

public static final int CORE_EXPRESSION
The meta object id for the '`Core Expression`' class.

Since:
  1.0
See Also:
  - `CoreExpressionImpl`
  - `getCoreExpression()`
  - Constant Field Values

### CORE_EXPRESSION__ELEMENT_ID

public static final int CORE_EXPRESSION__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### CORE_EXPRESSION__PERSISTED_STATE

public static final int CORE_EXPRESSION__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### CORE_EXPRESSION__TAGS

public static final int CORE_EXPRESSION__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### CORE_EXPRESSION__CONTRIBUTOR_URI

public static final int CORE_EXPRESSION__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### CORE_EXPRESSION__TRANSIENT_DATA

public static final int CORE_EXPRESSION__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### CORE_EXPRESSION__CORE_EXPRESSION_ID

public static final int CORE_EXPRESSION__CORE_EXPRESSION_ID
The feature id for the 'Core Expression Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### CORE_EXPRESSION__CORE_EXPRESSION

public static final int CORE_EXPRESSION__CORE_EXPRESSION
The feature id for the 'Core Expression' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### CORE_EXPRESSION_FEATURE_COUNT

public static final int CORE_EXPRESSION_FEATURE_COUNT
The number of structural features of the 'Core Expression' class.

Since:
  1.0
See Also:
  - Constant Field Values

### CORE_EXPRESSION_OPERATION_COUNT

public static final int CORE_EXPRESSION_OPERATION_COUNT
The number of operations of the 'Core Expression' class.

Since:
  1.0
See Also:
  - Constant Field Values

### IMPERATIVE_EXPRESSION

public static final int IMPERATIVE_EXPRESSION
The meta object id for the '`Imperative Expression`' class.

See Also:
  - `ImperativeExpressionImpl`
  - `getImperativeExpression()`
  - Constant Field Values

### IMPERATIVE_EXPRESSION__ELEMENT_ID

public static final int IMPERATIVE_EXPRESSION__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### IMPERATIVE_EXPRESSION__PERSISTED_STATE

public static final int IMPERATIVE_EXPRESSION__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### IMPERATIVE_EXPRESSION__TAGS

public static final int IMPERATIVE_EXPRESSION__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### IMPERATIVE_EXPRESSION__CONTRIBUTOR_URI

public static final int IMPERATIVE_EXPRESSION__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### IMPERATIVE_EXPRESSION__TRANSIENT_DATA

public static final int IMPERATIVE_EXPRESSION__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### IMPERATIVE_EXPRESSION__CONTRIBUTION_URI

public static final int IMPERATIVE_EXPRESSION__CONTRIBUTION_URI
The feature id for the 'Contribution URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### IMPERATIVE_EXPRESSION__OBJECT

public static final int IMPERATIVE_EXPRESSION__OBJECT
The feature id for the 'Object' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### IMPERATIVE_EXPRESSION__TRACKING

public static final int IMPERATIVE_EXPRESSION__TRACKING
The feature id for the 'Tracking' attribute.

See Also:
  - Constant Field Values

### IMPERATIVE_EXPRESSION_FEATURE_COUNT

public static final int IMPERATIVE_EXPRESSION_FEATURE_COUNT
The number of structural features of the 'Imperative Expression' class.

See Also:
  - Constant Field Values

### IMPERATIVE_EXPRESSION_OPERATION_COUNT

public static final int IMPERATIVE_EXPRESSION_OPERATION_COUNT
The number of operations of the 'Imperative Expression' class.

See Also:
  - Constant Field Values

### SNIPPET_CONTAINER

public static final int SNIPPET_CONTAINER
The meta object id for the '`Snippet Container`' class.

Since:
  1.0
See Also:
  - `MSnippetContainer`
  - `getSnippetContainer()`
  - Constant Field Values

### SNIPPET_CONTAINER__SNIPPETS

public static final int SNIPPET_CONTAINER__SNIPPETS
The feature id for the 'Snippets' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### SNIPPET_CONTAINER_FEATURE_COUNT

public static final int SNIPPET_CONTAINER_FEATURE_COUNT
The number of structural features of the 'Snippet Container' class.

Since:
  1.0
See Also:
  - Constant Field Values

### SNIPPET_CONTAINER_OPERATION_COUNT

public static final int SNIPPET_CONTAINER_OPERATION_COUNT
The number of operations of the 'Snippet Container' class.

Since:
  1.0
See Also:
  - Constant Field Values

### SIDE_VALUE

public static final int SIDE_VALUE
The meta object id for the '`Side Value`' enum.

Since:
  1.0
See Also:
  - `SideValue`
  - `getSideValue()`
  - Constant Field Values

## Method Details

### init

public static UiPackageImpl init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`

### getContext

public org.eclipse.emf.ecore.EClass getContext()
Returns the meta object for class '`Context`'.

Returns:
  the meta object for class 'Context'.
Since:
  1.0
See Also:
  - `MContext`

### getContext_Context

public org.eclipse.emf.ecore.EAttribute getContext_Context()
Returns the meta object for the attribute '`Context`'.

Returns:
  the meta object for the attribute 'Context'.
Since:
  1.0
See Also:
  - `MContext.getContext()`
  - `getContext()`

### getContext_Variables

public org.eclipse.emf.ecore.EAttribute getContext_Variables()
Returns the meta object for the attribute list '`Variables`'.

Returns:
  the meta object for the attribute list 'Variables'.
Since:
  1.0
See Also:
  - `MContext.getVariables()`
  - `getContext()`

### getContext_Properties

public org.eclipse.emf.ecore.EReference getContext_Properties()
Returns the meta object for the map '`Properties`'.

Returns:
  the meta object for the map 'Properties'.
Since:
  1.0
See Also:
  - `MContext.getProperties()`
  - `getContext()`

### getDirtyable

public org.eclipse.emf.ecore.EClass getDirtyable()
Returns the meta object for class '`Dirtyable`'.

Returns:
  the meta object for class 'Dirtyable'.
Since:
  1.0
See Also:
  - `MDirtyable`

### getDirtyable_Dirty

public org.eclipse.emf.ecore.EAttribute getDirtyable_Dirty()
Returns the meta object for the attribute '`Dirty`'.

Returns:
  the meta object for the attribute 'Dirty'.
Since:
  1.0
See Also:
  - `MDirtyable.isDirty()`
  - `getDirtyable()`

### getUIElement

public org.eclipse.emf.ecore.EClass getUIElement()
Returns the meta object for class '`UI Element`'.

Returns:
  the meta object for class 'UI Element'.
Since:
  1.0
See Also:
  - `MUIElement`

### getUIElement_Widget

public org.eclipse.emf.ecore.EAttribute getUIElement_Widget()
Returns the meta object for the attribute '`Widget`'.

Returns:
  the meta object for the attribute 'Widget'.
Since:
  1.0
See Also:
  - `MUIElement.getWidget()`
  - `getUIElement()`

### getUIElement_Renderer

public org.eclipse.emf.ecore.EAttribute getUIElement_Renderer()
Returns the meta object for the attribute '`Renderer`'.

Returns:
  the meta object for the attribute 'Renderer'.
Since:
  1.0
See Also:
  - `MUIElement.getRenderer()`
  - `getUIElement()`

### getUIElement_ToBeRendered

public org.eclipse.emf.ecore.EAttribute getUIElement_ToBeRendered()
Returns the meta object for the attribute '`To Be Rendered`'.

Returns:
  the meta object for the attribute 'To Be Rendered'.
Since:
  1.0
See Also:
  - `MUIElement.isToBeRendered()`
  - `getUIElement()`

### getUIElement_OnTop

public org.eclipse.emf.ecore.EAttribute getUIElement_OnTop()
Returns the meta object for the attribute '`On Top`'.

Returns:
  the meta object for the attribute 'On Top'.
Since:
  1.0
See Also:
  - `MUIElement.isOnTop()`
  - `getUIElement()`

### getUIElement_Visible

public org.eclipse.emf.ecore.EAttribute getUIElement_Visible()
Returns the meta object for the attribute '`Visible`'.

Returns:
  the meta object for the attribute 'Visible'.
Since:
  1.0
See Also:
  - `MUIElement.isVisible()`
  - `getUIElement()`

### getUIElement_Parent

public org.eclipse.emf.ecore.EReference getUIElement_Parent()
Returns the meta object for the container reference '`Parent`'.

Returns:
  the meta object for the container reference 'Parent'.
Since:
  1.0
See Also:
  - `MUIElement.getParent()`
  - `getUIElement()`

### getUIElement_ContainerData

public org.eclipse.emf.ecore.EAttribute getUIElement_ContainerData()
Returns the meta object for the attribute '`Container Data`'.

Returns:
  the meta object for the attribute 'Container Data'.
Since:
  1.0
See Also:
  - `MUIElement.getContainerData()`
  - `getUIElement()`

### getUIElement_CurSharedRef

public org.eclipse.emf.ecore.EReference getUIElement_CurSharedRef()
Returns the meta object for the reference '`Cur Shared Ref`'.

Returns:
  the meta object for the reference 'Cur Shared Ref'.
Since:
  1.0
See Also:
  - `MUIElement.getCurSharedRef()`
  - `getUIElement()`

### getUIElement_VisibleWhen

public org.eclipse.emf.ecore.EReference getUIElement_VisibleWhen()
Returns the meta object for the containment reference '`Visible When`'.

Returns:
  the meta object for the containment reference 'Visible When'.
Since:
  1.0
See Also:
  - `MUIElement.getVisibleWhen()`
  - `getUIElement()`

### getUIElement_AccessibilityPhrase

public org.eclipse.emf.ecore.EAttribute getUIElement_AccessibilityPhrase()
Returns the meta object for the attribute '`Accessibility Phrase`'.

Returns:
  the meta object for the attribute 'Accessibility Phrase'.
Since:
  1.0
See Also:
  - `MUIElement.getAccessibilityPhrase()`
  - `getUIElement()`

### getUIElement_LocalizedAccessibilityPhrase

public org.eclipse.emf.ecore.EAttribute getUIElement_LocalizedAccessibilityPhrase()
Returns the meta object for the attribute '`Localized Accessibility Phrase`'.

Returns:
  the meta object for the attribute 'Localized Accessibility Phrase'.
Since:
  1.0
See Also:
  - `MUIElement.getLocalizedAccessibilityPhrase()`
  - `getUIElement()`

### getUIElement__UpdateLocalization

public org.eclipse.emf.ecore.EOperation getUIElement__UpdateLocalization()
Returns the meta object for the '`Update Localization`' operation.

Returns:
  the meta object for the 'Update Localization' operation.
Since:
  1.1
See Also:
  - `MLocalizable.updateLocalization()`

### getElementContainer

public org.eclipse.emf.ecore.EClass getElementContainer()
Returns the meta object for class '`Element Container`'.

Returns:
  the meta object for class 'Element Container'.
Since:
  1.0
See Also:
  - `MElementContainer`

### getElementContainer_Children

public org.eclipse.emf.ecore.EReference getElementContainer_Children()
Returns the meta object for the containment reference list '`Children`'.

Returns:
  the meta object for the containment reference list 'Children'.
Since:
  1.0
See Also:
  - `MElementContainer.getChildren()`
  - `getElementContainer()`

### getElementContainer_SelectedElement

public org.eclipse.emf.ecore.EReference getElementContainer_SelectedElement()
Returns the meta object for the reference '`Selected Element`'.

Returns:
  the meta object for the reference 'Selected Element'.
Since:
  1.0
See Also:
  - `MElementContainer.getSelectedElement()`
  - `getElementContainer()`

### getUILabel

public org.eclipse.emf.ecore.EClass getUILabel()
Returns the meta object for class '`UI Label`'.

Returns:
  the meta object for class 'UI Label'.
Since:
  1.0
See Also:
  - `MUILabel`

### getUILabel_Label

public org.eclipse.emf.ecore.EAttribute getUILabel_Label()
Returns the meta object for the attribute '`Label`'.

Returns:
  the meta object for the attribute 'Label'.
Since:
  1.0
See Also:
  - `MUILabel.getLabel()`
  - `getUILabel()`

### getUILabel_IconURI

public org.eclipse.emf.ecore.EAttribute getUILabel_IconURI()
Returns the meta object for the attribute '`Icon URI`'.

Returns:
  the meta object for the attribute 'Icon URI'.
Since:
  1.0
See Also:
  - `MUILabel.getIconURI()`
  - `getUILabel()`

### getUILabel_Tooltip

public org.eclipse.emf.ecore.EAttribute getUILabel_Tooltip()
Returns the meta object for the attribute '`Tooltip`'.

Returns:
  the meta object for the attribute 'Tooltip'.
Since:
  1.0
See Also:
  - `MUILabel.getTooltip()`
  - `getUILabel()`

### getUILabel_LocalizedLabel

public org.eclipse.emf.ecore.EAttribute getUILabel_LocalizedLabel()
Returns the meta object for the attribute '`Localized Label`'.

Returns:
  the meta object for the attribute 'Localized Label'.
Since:
  1.0
See Also:
  - `MUILabel.getLocalizedLabel()`
  - `getUILabel()`

### getUILabel_LocalizedTooltip

public org.eclipse.emf.ecore.EAttribute getUILabel_LocalizedTooltip()
Returns the meta object for the attribute '`Localized Tooltip`'.

Returns:
  the meta object for the attribute 'Localized Tooltip'.
Since:
  1.0
See Also:
  - `MUILabel.getLocalizedTooltip()`
  - `getUILabel()`

### getGenericStack

public org.eclipse.emf.ecore.EClass getGenericStack()
Returns the meta object for class '`Generic Stack`'.

Returns:
  the meta object for class 'Generic Stack'.
Since:
  1.0
See Also:
  - `MGenericStack`

### getGenericTile

public org.eclipse.emf.ecore.EClass getGenericTile()
Returns the meta object for class '`Generic Tile`'.

Returns:
  the meta object for class 'Generic Tile'.
Since:
  1.0
See Also:
  - `MGenericTile`

### getGenericTile_Horizontal

public org.eclipse.emf.ecore.EAttribute getGenericTile_Horizontal()
Returns the meta object for the attribute '`Horizontal`'.

Returns:
  the meta object for the attribute 'Horizontal'.
Since:
  1.0
See Also:
  - `MGenericTile.isHorizontal()`
  - `getGenericTile()`

### getGenericTrimContainer

public org.eclipse.emf.ecore.EClass getGenericTrimContainer()
Returns the meta object for class '`Generic Trim Container`'.

Returns:
  the meta object for class 'Generic Trim Container'.
Since:
  1.0
See Also:
  - `MGenericTrimContainer`

### getGenericTrimContainer_Side

public org.eclipse.emf.ecore.EAttribute getGenericTrimContainer_Side()
Returns the meta object for the attribute '`Side`'.

Returns:
  the meta object for the attribute 'Side'.
Since:
  1.0
See Also:
  - `MGenericTrimContainer.getSide()`
  - `getGenericTrimContainer()`

### getExpression

public org.eclipse.emf.ecore.EClass getExpression()
Returns the meta object for class '`Expression`'.

Returns:
  the meta object for class 'Expression'.
Since:
  1.0
See Also:
  - `MExpression`

### getCoreExpression

public org.eclipse.emf.ecore.EClass getCoreExpression()
Returns the meta object for class '`Core Expression`'.

Returns:
  the meta object for class 'Core Expression'.
Since:
  1.0
See Also:
  - `MCoreExpression`

### getCoreExpression_CoreExpressionId

public org.eclipse.emf.ecore.EAttribute getCoreExpression_CoreExpressionId()
Returns the meta object for the attribute '`Core Expression Id`'.

Returns:
  the meta object for the attribute 'Core Expression Id'.
Since:
  1.0
See Also:
  - `MCoreExpression.getCoreExpressionId()`
  - `getCoreExpression()`

### getCoreExpression_CoreExpression

public org.eclipse.emf.ecore.EAttribute getCoreExpression_CoreExpression()
Returns the meta object for the attribute '`Core Expression`'.

Returns:
  the meta object for the attribute 'Core Expression'.
Since:
  1.0
See Also:
  - `MCoreExpression.getCoreExpression()`
  - `getCoreExpression()`

### getImperativeExpression

public org.eclipse.emf.ecore.EClass getImperativeExpression()
Returns the meta object for class '`Imperative Expression`'.

Returns:
  the meta object for class 'Imperative Expression'.
See Also:
  - `MImperativeExpression`

### getImperativeExpression_Tracking

public org.eclipse.emf.ecore.EAttribute getImperativeExpression_Tracking()
Returns the meta object for the attribute '`Tracking`'.

Returns:
  the meta object for the attribute 'Tracking'.
See Also:
  - `MImperativeExpression.isTracking()`
  - `getImperativeExpression()`

### getSnippetContainer

public org.eclipse.emf.ecore.EClass getSnippetContainer()
Returns the meta object for class '`Snippet Container`'.

Returns:
  the meta object for class 'Snippet Container'.
Since:
  1.0
See Also:
  - `MSnippetContainer`

### getSnippetContainer_Snippets

public org.eclipse.emf.ecore.EReference getSnippetContainer_Snippets()
Returns the meta object for the containment reference list '`Snippets`'.

Returns:
  the meta object for the containment reference list 'Snippets'.
Since:
  1.0
See Also:
  - `MSnippetContainer.getSnippets()`
  - `getSnippetContainer()`

### getLocalizable

public org.eclipse.emf.ecore.EClass getLocalizable()
Returns the meta object for class '`Localizable`'.

Returns:
  the meta object for class 'Localizable'.
Since:
  1.1
See Also:
  - `MLocalizable`

### getLocalizable__UpdateLocalization

public org.eclipse.emf.ecore.EOperation getLocalizable__UpdateLocalization()
Returns the meta object for the '`Update Localization`' operation.

Returns:
  the meta object for the 'Update Localization' operation.
Since:
  1.1
See Also:
  - `MLocalizable.updateLocalization()`

### getSideValue

public org.eclipse.emf.ecore.EEnum getSideValue()
Returns the meta object for enum '`Side Value`'.

Returns:
  the meta object for enum 'Side Value'.
Since:
  1.0
See Also:
  - `SideValue`

### getUiFactory

public MUiFactory getUiFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.